<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.xemelios.org/namespaces#cg-1.0" targetNamespace="http://www.xemelios.org/namespaces#cg-1.0">
    <xs:include schemaLocation="../TPied.xsd"/>
    <xs:include schemaLocation="TEnteteConsommationCredits.xsd"/>
    <xs:include schemaLocation="TLigneConsommationCredits.xsd"/>

    <xs:complexType name="TPageConsommationCredits">
        <xs:sequence>
            <xs:element name="EnteteConsommationCredits" type="TEnteteConsommationCredits" maxOccurs="1"/>
            <xs:element name="LigneConsommationCredits" type="TLigneConsommationCredits" maxOccurs="unbounded"/>
            <xs:element name="Pied" type="TPied" maxOccurs="1"/>
        </xs:sequence>
        <xs:attribute name="CodeEdition" use="required">
            <xs:simpleType>
                <xs:restriction base="xs:string">
                    <xs:length value="4"/>                        
                    <xs:enumeration value="CG16">
                        <xs:annotation>
                            <xs:documentation>Relatif à la M14 et M22</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                    <xs:enumeration value="CG30">
                        <xs:annotation>
                            <xs:documentation>Relatif à la M31</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                </xs:restriction>
            </xs:simpleType>
        </xs:attribute>
        <xs:attribute name="Modele" use="required">
            <xs:simpleType>
                <xs:restriction base="xs:string">
                    <xs:length value="2"/>                        
                    <xs:enumeration value="13">
                        <xs:annotation>
                            <xs:documentation>M14 page droite</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration> 
                    <xs:enumeration value="17">
                        <xs:annotation>
                            <xs:documentation>M22 page droite</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                    <xs:enumeration value="18">
                        <xs:annotation>
                            <xs:documentation>M22 / M14 page gauche</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                    <xs:enumeration value="19">
                        <xs:annotation>
                            <xs:documentation>M14 page gauche</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                    <xs:enumeration value="05">
                        <xs:annotation>
                            <xs:documentation>M31 page gauche</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                    <xs:enumeration value="06">
                        <xs:annotation>
                            <xs:documentation>M31 page droite</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                </xs:restriction>
            </xs:simpleType>
        </xs:attribute>
    </xs:complexType>
</xs:schema>
